> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Expanding Resources

Many objects allow you to request additional information as an expanded response by using the expand query parameter.
This parameter is available for `entities`, `accounts`, and `Connect` and applies to the response of that request only.

In many cases, an object contains the ID of a related object in its response attributes. For example, an `Entity` might have an associated `CreditScore` ID.
You can expand these objects in line with the expand query parameter. The expandable label in this documentation indicates ID fields that you can expand into objects.

You can expand multiple objects at the same time by identifying multiple items in the expand array. Performing expansions on list requests might result in increased response times.

In the case of `Connect`, recursive expansion up to 2 levels is supported. The first level expands the returned `accounts`.
The second level allows expansion of any account-level properties using the notation `accounts.expandable_field`, such as `accounts.update`.
For more information, see [Connect Expand Enum](https://docs.methodfi.com/2026-03-30/reference/entities/connect/create.md#possible-enum-values)

## Props

## Returns

Returns a list of the requested resource with the requested attributes expanded.

```bash cURL theme={null}
curl "https://production.methodfi.com/entities/ent_BzirqpLEm3BW7?expand[]=connect" \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const entity = await method
  .entities
  .retrieve("ent_BzirqpLEm3BW7", {
    expand: ["connect"],
  });
```

```python Python theme={null}
entity = method
  .entities
  .retrieve('ent_BzirqpLEm3BW7', {
    'expand': ['connect'],
  })
```

```json theme={null}
  {
    "id": "ent_BzirqpLEm3BW7",
    "type": "individual",
    "individual": {
      "first_name": "Kevin",
      "last_name": "Doyle",
      "phone": "+15121231113",
      "dob": "1997-03-18",
      "email": "kevin.doyle@gmail.com",
      "ssn_4": null,
      "ssn": null
    },
    "error": null,
    "address": {
      "line1": "3300 N Interstate 35",
      "line2": null,
      "city": "Austin",
      "state": "TX",
      "zip": "78705"
    },
    "status": "active",
    "verification": {
      "identity": {
        "verified": true,
        "matched": true,
        "latest_verification_session": "evf_mQ6yr6VVJLNEb",
        "methods": []
      },
      "phone": {
        "verified": true,
        "latest_verification_session": "evf_P4QXNj93Y9J8L",
        "methods": []
      }
    },
    "connect": {
      "id": "cxn_4ewMmBbjYDMR4",
      "entity_id": "ent_qKNBB68bfHGNA",
      "status": "completed",
      "accounts": [
        "acc_eKKmrXDpJBKgw",
        "acc_GV8WbmJW7KGRy",
        "acc_MLPKh9gQDDbT8",
        "acc_LbXE8wVYJLrKt",
        "acc_J3P9fayDFjpAy",
        "acc_eFFRV9zmpLREK"
      ],
      "error": null,
      "created_at": "2024-04-12T14:56:46.645Z",
      "updated_at": "2024-04-12T14:56:46.786Z"
    },
    "credit_score": "crs_pn4ca33GXFaCE",
    "identity": null,
    "products": [
      "connect",
      "credit_score"
    ],
    "restricted_products": [
      "identity",
      "attribute"
    ],
    "subscriptions": [],
    "available_subscriptions": [],
    "restricted_subscriptions": [
      "connect",
      "credit_score"
    ],
    "metadata": null,
    "created_at": "2024-04-12T14:56:34.710Z",
    "updated_at": "2024-04-12T14:56:34.744Z"

}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.